plist-cil 1.13.0.0 1.14.0.0 System.Object

Abstract interface for any object contained in a property list.

The names and functions of the various objects orient themselves towards Apple's Cocoa API.

To be added.
- Constructor
  1.13.0.0
  1.14.0.0
  To be added.
  To be added.
- Method
  1.13.0.0
  1.14.0.0
  System.Boolean `` The to compare with the current . Determines if the specific NSObject is the same as the NSObject overriding this method. true if the specified is equal to the current ; otherwise, false. To be added.
- Method
  1.13.0.0
  1.14.0.0
  System.Object Converts this NSObject into an equivalent object of the .NET Runtime Environment.

  objects are converted to arrays.

  objects are converted to objects extending the class.

  objects are converted to objects extending the class.

  objects are converted to primitive number values (, , or ).

  objects are converted to objects.

  objects are converted to arrays.

  objects are converted to objects.

  objects are converted to arrays.

  A native .NET object representing this NSObject's value. To be added.
- Method
  1.13.0.0
  1.14.0.0
  System.String Generates a valid XML property list including headers using this object as root. The XML representation of the property list including XML header and doctype information. To be added.
- Method
  1.13.0.0
  1.14.0.0
  Claunia.PropertyList.NSNumber `` The value to represent as a NSObject. Wraps the given value inside a NSObject. A NSObject representing the given value. To be added.
- Method
  1.13.0.0
  1.14.0.0
  Claunia.PropertyList.NSData `` The value to represent as a NSObject. Wraps the given value inside a NSObject. A NSObject representing the given value. To be added.
- Method
  1.13.0.0
  1.14.0.0
  Claunia.PropertyList.NSDictionary `` The value to represent as a NSObject. Creates a NSDictionary with the contents of the given map. A NSObject representing the given value. To be added. When one of the values contained in the map cannot be represented by a NSObject.
- Method
  1.13.0.0
  1.14.0.0
  Claunia.PropertyList.NSSet `` The value to represent as a NSObject. Creates a NSSet with the contents of this set. A NSObject representing the given value. To be added. When one of the values contained in the map cannot be represented by a NSObject.
- Method
  1.13.0.0
  1.14.0.0
  Claunia.PropertyList.NSNumber `` The value to represent as a NSObject. Wraps the given value inside a NSObject. A NSObject representing the given value. To be added.
- Method
  1.13.0.0
  1.14.0.0
  Claunia.PropertyList.NSNumber `` The value to represent as a NSObject. Wraps the given value inside a NSObject. A NSObject representing the given value. To be added.
- Method
  1.13.0.0
  1.14.0.0
  Claunia.PropertyList.NSObject `` The object to represent.

  Creates a NSObject representing the given .NET Object.

  Numerics of type , , , , , or are wrapped as NSNumber objects.

  Strings are wrapped as objects and byte arrays as objects.

  DateTime objects are wrapped as objects.

  Serializable classes are serialized and their data is stored in objects.

  Arrays and Collection objects are converted to where each array member is wrapped into a .

  Dictionaries are converted to . Each key is converted to a string and each value wrapped into a .

  A NSObject equivalent to the given object. To be added.
- Method
  1.13.0.0
  1.14.0.0
  Claunia.PropertyList.NSArray `` The value to represent as a NSObject. Creates a NSArray with the contents of the given array. A NSObject representing the given value. To be added. When one of the objects contained in the array cannot be represented by a NSObject.
- Method
  1.13.0.0
  1.14.0.0
  Claunia.PropertyList.NSData `` The object to serialize and wrap. Serializes the given object using Java's default object serialization and wraps the serialized object in a NSData object. A NSData object To be added. When the object could not be serialized.